How do I update Java from 1.7 to 1.8.

    • You can use every Guide that for installing Java 8 on Debian that matches either Debian Wheezy (OMV 2.0) or Debian Jessie (OMV 3.0) ;)

      Greetings
      David
      "Well... lately this forum has become support for everything except omv" [...] "And is like someone is banning Google from their browsers"

      Only two things are infinite, the universe and human stupidity, and I'm not sure about the former.


      Upload Logfile via WebGUI/CLI
      #openmediavault on freenode IRC | German & English | GMT+1
      Absolutely no Support via PM!

      I host parts of the omv-extras.org Repository, the OpenMediaVault Live Demo and the pre-built PXE Images. If you want you can take part and help covering the costs by having a look at my profile page.
    • Ok... well I'm still trying to do this... I found a guide that say to do this:

      Source Code

      1. su -
      2. echo "deb http://ppa.launchpad.net/webupd8team/java/ubuntu xenial main" | tee /etc/apt/sources.list.d/webupd8team-java.list
      3. echo "deb-src http://ppa.launchpad.net/webupd8team/java/ubuntu xenial main" | tee -a /etc/apt/sources.list.d/webupd8team-java.list
      4. apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys EEA14886
      5. apt-get update
      6. apt-get install oracle-java8-installer
      7. exit
      Will that do the trick?
      Regards
      Brett
    • Well it worked for me too... for a while... But now I have serious errors relating to Java. McMyAdmin will not accept logins. It's reporting errors as:
      "Authentication servers are down. Please try again later, sorry!
      Console : [17:34:15 ERROR]: Couldn't verify username because servers are unavailable"
      This would lend someone to believe it has something to do with the Minecraft authentication servers. But it's definitely a local issue and it's related to a java installation fault.
      This is some of what the McMyAdmin console shows when you type "/version"



      Source Code

      1. 19:34:35 CONSOLE: [INFO] Checking version, please wait...
      2. 19:34:36 CONSOLE: WARN]: javax.net.ssl.SSLException: java.lang.RuntimeException: Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty
      3. 19:34:36 CONSOLE: WARN]: at sun.security.ssl.Alerts.getSSLException(Alerts.java:208)
      4. 19:34:36 CONSOLE: WARN]: at sun.security.ssl.SSLSocketImpl.fatal(SSLSocketImpl.java:1949)
      5. 19:34:36 CONSOLE: WARN]: at sun.security.ssl.SSLSocketImpl.fatal(SSLSocketImpl.java:1906)
      6. 19:34:36 CONSOLE: WARN]: at sun.security.ssl.SSLSocketImpl.handleException(SSLSocketImpl.java:1889)
      7. 19:34:36 CONSOLE: WARN]: at sun.security.ssl.SSLSocketImpl.startHandshake(SSLSocketImpl.java:1410)
      8. 19:34:36 CONSOLE: WARN]: at sun.security.ssl.SSLSocketImpl.startHandshake(SSLSocketImpl.java:1387)
      9. 19:34:36 CONSOLE: WARN]: at sun.net.www.protocol.https.HttpsClient.afterConnect(HttpsClient.java:559)
      10. 19:34:36 CONSOLE: WARN]: at sun.net.www.protocol.https.AbstractDelegateHttpsURLConnection.connect(AbstractDelegateHttpsURLConnection.java:185)
      11. 19:34:36 CONSOLE: WARN]: at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(HttpURLConnection.java:1546)
      12. 19:34:36 CONSOLE: WARN]: at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1474)
      13. 19:34:36 CONSOLE: WARN]: at sun.net.www.protocol.https.HttpsURLConnectionImpl.getInputStream(HttpsURLConnectionImpl.java:254)
      14. 19:34:36 CONSOLE: WARN]: at java.net.URL.openStream(URL.java:1045)
      15. 19:34:36 CONSOLE: WARN]: at com.google.common.io.Resources$UrlByteSource.openStream(Resources.java:72)
      16. 19:34:36 CONSOLE: WARN]: at com.google.common.io.ByteSource$AsCharSource.openStream(ByteSource.java:456)
      17. 19:34:36 CONSOLE: WARN]: at com.google.common.io.CharSource.openBufferedStream(CharSource.java:107)
      18. 19:34:36 CONSOLE: WARN]: at org.bukkit.command.defaults.VersionCommand.getDistance(VersionCommand.java:240)
      19. 19:34:36 CONSOLE: WARN]: at org.bukkit.command.defaults.VersionCommand.obtainVersion(VersionCommand.java:204)
      20. 19:34:36 CONSOLE: WARN]: at org.bukkit.command.defaults.VersionCommand.access$0(VersionCommand.java:185)
      21. 19:34:36 CONSOLE: WARN]: at org.bukkit.command.defaults.VersionCommand$1.run(VersionCommand.java:176)
      22. 19:34:36 CONSOLE: WARN]: at java.lang.Thread.run(Thread.java:748)
      23. 19:34:36 CONSOLE: WARN]: Caused by: java.lang.RuntimeException: Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty
      24. 19:34:36 CONSOLE: WARN]: at sun.security.validator.PKIXValidator.<init>(PKIXValidator.java:90)
      25. 19:34:36 CONSOLE: WARN]: at sun.security.validator.Validator.getInstance(Validator.java:179)
      26. 19:34:36 CONSOLE: WARN]: at sun.security.ssl.X509TrustManagerImpl.getValidator(X509TrustManagerImpl.java:312)
      27. 19:34:36 CONSOLE: WARN]: at sun.security.ssl.X509TrustManagerImpl.checkTrustedInit(X509TrustManagerImpl.java:171)
      28. 19:34:36 CONSOLE: WARN]: at sun.security.ssl.X509TrustManagerImpl.checkTrusted(X509TrustManagerImpl.java:184)
      29. 19:34:36 CONSOLE: WARN]: at sun.security.ssl.X509TrustManagerImpl.checkServerTrusted(X509TrustManagerImpl.java:124)
      30. 19:34:36 CONSOLE: WARN]: at sun.security.ssl.ClientHandshaker.serverCertificate(ClientHandshaker.java:1496)
      31. 19:34:36 CONSOLE: WARN]: at sun.security.ssl.ClientHandshaker.processMessage(ClientHandshaker.java:216)
      32. 19:34:36 CONSOLE: WARN]: at sun.security.ssl.Handshaker.processLoop(Handshaker.java:1026)
      33. 19:34:36 CONSOLE: WARN]: at sun.security.ssl.Handshaker.process_record(Handshaker.java:961)
      34. 19:34:36 CONSOLE: WARN]: at sun.security.ssl.SSLSocketImpl.readRecord(SSLSocketImpl.java:1062)
      35. 19:34:36 CONSOLE: WARN]: at sun.security.ssl.SSLSocketImpl.performInitialHandshake(SSLSocketImpl.java:1375)
      36. 19:34:36 CONSOLE: WARN]: at sun.security.ssl.SSLSocketImpl.startHandshake(SSLSocketImpl.java:1403)
      37. 19:34:36 CONSOLE: WARN]: ... 15 more
      38. 19:34:37 CONSOLE: WARN]: Caused by: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty
      39. 19:34:37 CONSOLE: WARN]: at java.security.cert.PKIXParameters.setTrustAnchors(PKIXParameters.java:200)
      40. 19:34:37 CONSOLE: WARN]: at java.security.cert.PKIXParameters.<init>(PKIXParameters.java:120)
      41. 19:34:37 CONSOLE: WARN]: at java.security.cert.PKIXBuilderParameters.<init>(PKIXBuilderParameters.java:104)
      42. 19:34:37 CONSOLE: WARN]: at sun.security.validator.PKIXValidator.<init>(PKIXValidator.java:88)
      43. 19:34:37 CONSOLE: WARN]: ... 27 more
      44. 19:34:37 CONSOLE: [INFO] Error obtaining version information
      Display All
      So.... anyhow, could someone walk me through a proper Java 8 installation please? I don't know much about linux or debian.

      The post was edited 1 time, last by thebrett ().